Fedora 15 : asterisk- (2012-6724)

Medium Nessus Plugin ID 59003


The remote Fedora host is missing a security update.


The Asterisk Development Team has announced security releases for Asterisk 1.6.2, 1.8, and 10. The available security releases are released as versions,, and 10.3.1.

These releases are available for immediate download at http://downloads.asterisk.org/pub/telephony/asterisk/releases

The release of Asterisk,, and 10.3.1 resolve the following two issues :

- A permission escalation vulnerability in Asterisk Manager Interface. This would potentially allow remote authenticated users the ability to execute commands on the system shell with the privileges of the user running the Asterisk application.

- A heap overflow vulnerability in the Skinny Channel driver. The keypad button message event failed to check the length of a fixed length buffer before appending a received digit to the end of that buffer. A remote authenticated user could send sufficient keypad button message events that the buffer would be overrun.

In addition, the release of Asterisk and 10.3.1 resolve the following issue :

- A remote crash vulnerability in the SIP channel driver when processing UPDATE requests. If a SIP UPDATE request was received indicating a connected line update after a channel was terminated but before the final destruction of the associated SIP dialog, Asterisk would attempt a connected line update on a non-existing channel, causing a crash.

These issues and their resolution are described in the security advisories.

For more information about the details of these vulnerabilities, please read security advisories AST-2012-004, AST-2012-005, and AST-2012-006, which were released at the same time as this announcement.

For a full list of changes in the current releases, please see the ChangeLogs :

http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLo g- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLo g- http://downloads.asterisk.org/pub/telephony/asterisk/releases/ChangeLo g-10.3.1

The security advisories are available at :

- http://downloads.asterisk.org/pub/security/AST-2012-004.

- http://downloads.asterisk.org/pub/security/AST-2012-00 5.pdf

- http://downloads.asterisk.org/pub/security/AST-2012-00 6.pdf

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected asterisk package.

See Also












Plugin Details

Severity: Medium

ID: 59003

File Name: fedora_2012-6724.nasl

Version: $Revision: 1.9 $

Type: local

Agent: unix

Published: 2012/05/07

Modified: 2015/10/20

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.5

Temporal Score: 5.4

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:asterisk, cpe:/o:fedoraproject:fedora:15

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/04/27

Reference Information

CVE: CVE-2012-2414, CVE-2012-2415, CVE-2012-2416

BID: 53205, 53206, 53210

FEDORA: 2012-6724